Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update agent context

PUT/workspaces/{organizationId}/agent-context
Path parameters
organizationIdstringrequired
Request body
application/json
agentsMdstring
rulesobject[]
Show properties
Array of object
namestringrequired
min length 1
contentstringrequired
skillsobject[]
Show properties
Array of object
namestringrequired
min length 1
descriptionstring
default: ""
contentstringrequired
Responses
200

Agent context updated

organizationIdstringrequired
agentsMdstringrequired
rulesobject[]required
Show properties
Array of object
namestringrequired
min length 1
contentstringrequired
skillsobject[]required
Show properties
Array of object
namestringrequired
min length 1
descriptionstring
default: ""
contentstringrequired
updatedBystring | nullrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT '/workspaces/string/agent-context' \
  -H 'Content-Type: application/json' \
  -d '{
  "agentsMd": "string",
  "rules": [
    {
      "name": "string",
      "content": "string"
    }
  ],
  "skills": [
    {
      "name": "string",
      "description": "",
      "content": "string"
    }
  ]
}'
Response
{
  "organizationId": "string",
  "agentsMd": "string",
  "rules": [
    {
      "name": "string",
      "content": "string"
    }
  ],
  "skills": [
    {
      "name": "string",
      "description": "",
      "content": "string"
    }
  ],
  "updatedBy": "string",
  "updatedAt": "string"
}